flex-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Robert Brice (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (FLEX-35289) adt.jar not found in class path
Date Sat, 08 Apr 2017 08:06:41 GMT

    [ https://issues.apache.org/jira/browse/FLEX-35289?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15961730#comment-15961730
] 

Robert Brice commented on FLEX-35289:
-------------------------------------

I have also found this. I got round it by downloading the latest version of the AIR sdk and
copying the file from there along with a few more .jars. That then opened up a bunch of new
errors when I tried to build my project wth Flex 4.16. These included:
- missing aircore.swc, air global.swc and servicemonitor.swc in frameworks/libs/air
- missing runtimes folder with air and air-captive

I copied them into the Flex 4.16 SDK from AIR sdk and can now get my project running on emulator
(ipad). However I am not happy testing a release version until I understand what's going on.
Has something gone wrong with the build or has there been changes to flex which require a
change in existing project dependencies?

> adt.jar not found in class path
> -------------------------------
>
>                 Key: FLEX-35289
>                 URL: https://issues.apache.org/jira/browse/FLEX-35289
>             Project: Apache Flex
>          Issue Type: Bug
>          Components: InstallApacheFlex
>    Affects Versions: Apache Flex 4.16.0
>         Environment: Mac OS X 10.11.6, Adobe Flash Builder 4.7
>            Reporter: Jim Brown
>
> The installer creates and SDK folder for Apache Flex 4.16.0.
> Note: SDK location: /Applications/Adobe Flash Builder 4.7/sdks/4.16.0
> When I try to 'add' the SDK to Adobe Flash Builder 4.7 the operation fails with error:
> "adt.jar not found in class path of /Applications/Adobe Flash Builder 4.7/sdks/4.16.0"
> The same SDK folder works OK with Adobe Flash Builder 4.6. The add is successful.
> I have tried re-downloading the entire SDK with the same results.
> Apache Flex 4.15 SDK works OK with both Adobe Flash Builder 4.7 and 4.6.



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message